/*****************************************************
test.h : 
  μITRONトレーナcmtoy サンプルプログラム
  Copyright(C) 2002 佐々木芳

タスクの実装

Windowsのシミュレーション環境上で動作するアプリケーションプログラムのコンパイル時には以下のマクロ定義が必要
	_CMTOY
*****************************************************/
#ifdef _CMTOY
/**********************/
/*simulator*/
/**********************/


#else
/**********************/
/*TARGET*/
/**********************/

#endif/*_CMTOY*/

/*16550 割り込みトレース*/
typedef struct tagTraceSlot{
	SYSTIM	timestamp;
	BYTE	iid;
	BYTE	lstat;
	BYTE	mstat;
	BYTE	count;
	BYTE	data[16];
}TRACE_SLOT;
#define NUM_OF_TRACE_SLOTS		16
typedef struct tagTraceBuffer{
	int		num_slots;
	int		next;
	TRACE_SLOT	slot[NUM_OF_TRACE_SLOTS];
}TRACE_BUFFER;

void InitTrace();
void IncrTrace();
TRACE_SLOT* GetTraceSlot();